Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class AbstractVolumeFader

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.phonon.AbstractVolumeFader

All Implemented Interfaces:
  AbstractVolumeFaderInterface, com.trolltech.qt.QtJambiInterface

    public class AbstractVolumeFader

extends com.trolltech.qt.QtJambiObject
implements AbstractVolumeFaderInterface

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`com.trolltech.qt.QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`com.trolltech.qt.QSignalEmitter.AbstractSignal, com.trolltech.qt.QSignalEmitter.Signal0, com.trolltech.qt.QSignalEmitter.Signal1<A>, com.trolltech.qt.QSignalEmitter.Signal2<A,B>, com.trolltech.qt.QSignalEmitter.Signal3<A,B,C>, com.trolltech.qt.QSignalEmitter.Signal4<A,B,C,D>, com.trolltech.qt.QSignalEmitter.Signal5<A,B,C,D,E>, com.trolltech.qt.QSignalEmitter.Signal6<A,B,C,D,E,F>, com.trolltech.qt.QSignalEmitter.Signal7<A,B,C,D,E,F,G>, com.trolltech.qt.QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, com.trolltech.qt.QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `AbstractVolumeFader()` This method is internal to Qt Jambi.
`protected` | `AbstractVolumeFader(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`long` | `__qt_cast_to_AbstractVolumeFader(long ptr)` This method is internal to Qt Jambi.
`VolumeFaderEffect.FadeCurve` | `fadeCurve()` This method is internal to Qt Jambi.
`void` | `fadeTo(float arg__1, int arg__2)` This method is internal to Qt Jambi.
`static AbstractVolumeFader` | `fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)` This method is internal to Qt Jambi.
`void` | `setFadeCurve(VolumeFaderEffect.FadeCurve arg__1)` This method is internal to Qt Jambi.
`void` | `setVolume(float arg__1)` This method is internal to Qt Jambi.
`float` | `volume()` This method is internal to Qt Jambi.

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`__qt_signalInitialization, blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### AbstractVolumeFader

    public AbstractVolumeFader()

  This method is internal to Qt Jambi.

### AbstractVolumeFader

    protected AbstractVolumeFader(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### fadeCurve

    public VolumeFaderEffect.FadeCurve fadeCurve()

  This method is internal to Qt Jambi.

  Specified by:
    `fadeCurve` in interface `AbstractVolumeFaderInterface`

### fadeTo

    public void fadeTo(float arg__1,
                       int arg__2)

  This method is internal to Qt Jambi.

  Specified by:
    `fadeTo` in interface `AbstractVolumeFaderInterface`

### setFadeCurve

    public void setFadeCurve(VolumeFaderEffect.FadeCurve arg__1)

  This method is internal to Qt Jambi.

  Specified by:
    `setFadeCurve` in interface `AbstractVolumeFaderInterface`

### setVolume

    public void setVolume(float arg__1)

  This method is internal to Qt Jambi.

  Specified by:
    `setVolume` in interface `AbstractVolumeFaderInterface`

### volume

    public float volume()

  This method is internal to Qt Jambi.

  Specified by:
    `volume` in interface `AbstractVolumeFaderInterface`

### fromNativePointer

    public static AbstractVolumeFader fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)

  This method is internal to Qt Jambi.

### __qt_cast_to_AbstractVolumeFader

    public long __qt_cast_to_AbstractVolumeFader(long ptr)

  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_AbstractVolumeFader` in interface `AbstractVolumeFaderInterface`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD